Bug 49619 - portal entries restricted by group membership not shown if logged in by mail address
portal entries restricted by group membership not shown if logged in by mail ...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Portal
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-0-errata
Assigned To: Florian Best
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-07 15:59 CEST by Ingo Steuwer
Modified: 2019-07-03 14:30 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 4: Will affect most installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.229
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2019050821000385
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Steuwer univentionstaff 2019-06-07 15:59:28 CEST
Portal entries can be restricted to be shown only if a user is logged in and member of a group.

In UCS 4.4 errata 142 this works only if the user uses the "uid" as login, not if the mail address (mailPrimaryAddress) has been used. 

If the user enters the mail address and logs in, only entries visible to all users are shown.
Comment 1 Ingo Steuwer univentionstaff 2019-06-07 16:00:52 CEST
I expect this to be a problem for many O365 scenarios.
Comment 2 Florian Best univentionstaff 2019-06-26 15:40:00 CEST
Patch is part of git branch fbest/49526-portal-entry-changes.
Comment 3 Florian Best univentionstaff 2019-06-26 18:21:05 CEST
Fixed in the UMC-Webserver which just accessed the wrong dict-key.

univention-management-console (11.0.4-22)
1cc2ef775c4b | Bug #49619: fix displaying of portal entries when logged in via email address
Comment 4 Dirk Wiesenthal univentionstaff 2019-07-03 13:08:36 CEST
OK, works
Comment 5 Arvid Requate univentionstaff 2019-07-03 14:14:24 CEST
<http://errata.software-univention.de/ucs/4.4/175.html>